Opsview 6.9.x End of Support

Opsview versions 6.9.x reached their End of Support (EOS) status at the end of January 2026, in accordance with our Support policy. As of this date, these versions no longer receive code fixes, security updates, maintenance releases, or backported changes.

The documentation for version 6.9.7 and earlier releases will remain accessible for reference, but it will no longer be updated or maintained. We strongly recommend upgrading to the latest supported version of Opsview to ensure continued support and access to the latest features and security enhancements.

Notes - Setting

Input:

/opt/opsview/coreutils/bin/opsview_rest --username=admin --password=password --data-format=json --pretty PUT /rest/notes/host/7 --data='{ "note" : "New host note" }'

Returns:

{
   "id" : "7",
   "note" : "New host note",
   "writeable" : "1"
}

To clear a note, set note to an empty string.

There will be an error if no note parameter is set.

Below is an example:

{ 
/opt/opsview/coreutils/bin/opsview_rest --username=admin --password=password --data-format=json --pretty PUT /rest/notes/host/7 --data='{ "note" : "<p>TEST1111</p>" }'
    {
        "id" : "7",
        "note" : "<p>TEST1111</p>",
        "writeable" : "1"
    }
}
["Opsview On-Premises"] ["API", "Technical Reference"]

Was this topic helpful?